import 'package:comunic/utils/bbcode_parser.dart';
import 'package:flutter/material.dart';
import 'package:flutter_emoji/flutter_emoji.dart';

/// Text widget
///
/// The content passed to this widget is automatically parsed
///
/// @author Pierre Hubert

class TextWidget extends StatelessWidget {
  final String content;
  final bool parseBBcode;
  final TextStyle style;

  const TextWidget({
    Key key,
    @required this.content,
    this.parseBBcode = false,
    this.style,
  })  : assert(content != null),
        assert(parseBBcode != null),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    var content = EmojiParser().emojify(this.content);

    if (this.parseBBcode)
      return BBCodeParsedWidget(text: content);
    else
      return Text(
        content,
        style: style,
      );
  }
}
